## univention-lib 6.0.9-6A~4.2.0.201705021624

=== Makefile ===
#!/usr/bin/make -f
#
# ucs-school-lib
#  makefile
#
# Copyright 2012-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

PKG := univention-lib
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: //p')

PO_FILE := python/de.po
MO_FILE := python/$(PKG).mo
PYTHON_FILES := $(shell find python -name "*.py")
INST_DIR := $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/

.PHONY: build
build:: l10n

.PHONY: l10n
l10n:: $(MO_FILE)

$(MO_FILE):: $(PO_FILE)
	msgfmt --check --output-file "$@" "$<"

$(PO_FILE):: $(PO_FILE).tmp
	if [ -e "$@" ]; then \
		msgmerge --update --sort-output "$@" "$<"; \
		touch "$@"; \
	else \
		cp "$<" "$@"; \
	fi

$(PO_FILE).tmp:: $(PYTHON_FILES)
	xgettext --output=$(@) \
		--language=Python \
		--keyword=N_:1 \
		--sort-output \
		--package-name=$(PKG) \
		--package-version=$(VERSION) \
		--msgid-bugs-address="packages@univention.de" \
		--copyright-holder="Univention GmbH" \
		$^

.PHONY: clean
clean::
	$(RM) $(MO_FILE) $(PO_FILE).tmp

=== debian/changelog ===
univention-lib (6.0.9-6A~4.2.0.201705021624) ucs4-2-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 02 May 2017 16:24:06 +0200

univention-lib (6.0.9-6) unstable; urgency=medium

  * Bug #38285: Sync time again before getting new Kerberos Tickets in
    synchronize_account_position

 -- Arvid Requate <requate@univention.de>  Tue, 02 May 2017 16:23:42 +0200

univention-lib (6.0.9-5) unstable; urgency=medium

  * Bug #38285: Always get new Kerberos Tickets in
    synchronize_account_position

 -- Arvid Requate <requate@univention.de>  Tue, 02 May 2017 16:15:18 +0200

univention-lib (6.0.9-4) unstable; urgency=medium

  * Bug #38285: flush the nscd hosts cache after trying check_ad_account

 -- Arvid Requate <requate@univention.de>  Tue, 25 Apr 2017 22:18:00 +0200

univention-lib (6.0.9-3) unstable; urgency=medium

  * Bug #38285: Make DNS lookup more robust for Kerberos in check_ad_account

 -- Arvid Requate <requate@univention.de>  Tue, 25 Apr 2017 21:56:52 +0200

univention-lib (6.0.9-2) unstable; urgency=medium

  * Bug #38788: dns.resolver throws NoAnswer by default (raise_on_no_answer)
    if no definite answer is received.

 -- Arvid Requate <requate@univention.de>  Tue, 25 Apr 2017 21:33:52 +0200

univention-lib (6.0.9-1) unstable; urgency=medium

  * Bug #44144: use /etc/init.d/samba instead of /etc/init.d/samba4 

 -- Arvid Requate <requate@univention.de>  Mon, 24 Apr 2017 19:19:05 +0200

univention-lib (6.0.8-1) unstable; urgency=medium

  * Bug #34498: fix requests for anonymous commands; fix logout

 -- Florian Best <best@univention.de>  Tue, 14 Mar 2017 13:01:54 +0100

univention-lib (6.0.7-1) unstable; urgency=medium

  * Bug #34498: add User-Agent header

 -- Florian Best <best@univention.de>  Tue, 21 Feb 2017 16:44:34 +0100

univention-lib (6.0.6-8) unstable; urgency=medium

  * Bug #39731: add missing copyright header

 -- Alexander Kläser <klaeser@univention.de>  Fri, 17 Feb 2017 15:02:53 +0100

univention-lib (6.0.6-7) unstable; urgency=medium

  * Bug #40612: raise I18NError instead of AttributeError if parsing fails

 -- Florian Best <best@univention.de>  Thu, 02 Feb 2017 15:19:25 +0100

univention-lib (6.0.6-6) unstable; urgency=medium

  * Bug #39731: set X-XSRF-Protection header

 -- Florian Best <best@univention.de>  Mon, 30 Jan 2017 19:20:38 +0100

univention-lib (6.0.6-5) unstable; urgency=medium

  * Bug #34498: fix error handling

 -- Florian Best <best@univention.de>  Fri, 27 Jan 2017 16:31:22 +0100

univention-lib (6.0.6-4) unstable; urgency=medium

  * Bug #34498: deprecate univention.lib.umc_connection

 -- Florian Best <best@univention.de>  Tue, 24 Jan 2017 18:53:22 +0100

univention-lib (6.0.6-3) unstable; urgency=medium

  * Bug #34498: fix parameters

 -- Florian Best <best@univention.de>  Sun, 22 Jan 2017 11:22:13 +0100

univention-lib (6.0.6-2) unstable; urgency=medium

  * Bug #34498: add univention.lib.umc

 -- Florian Best <best@univention.de>  Fri, 20 Jan 2017 18:31:42 +0100

univention-lib (6.0.5-2) unstable; urgency=medium

  * Bug #41221: Added comments for translators.

 -- Richard Ulmer <ulmer@univention.de>  Fri, 04 Nov 2016 13:51:21 +0100

univention-lib (6.0.5-1) unstable; urgency=low

  * Bug #40611: added special container mode for ad member

 -- Felix Botner <botner@univention.de>  Thu, 03 Nov 2016 14:08:34 +0100

univention-lib (6.0.4-1) unstable; urgency=medium

  * Bug #24758: Fix quoting in umc.sh

 -- Philipp Hahn <hahn@univention.de>  Mon, 17 Oct 2016 12:42:52 +0200

univention-lib (6.0.3-1) unstable; urgency=medium

  * Bug #42228: make umc_connection capable to communicate with legacy path's.

 -- Florian Best <best@univention.de>  Tue, 06 Sep 2016 17:29:18 +0200

univention-lib (6.0.2-1) unstable; urgency=low

  * Bug #27872: Move ucs.sh to univention-config

 -- Philipp Hahn <hahn@univention.de>  Tue, 06 Sep 2016 15:23:23 +0200

univention-lib (6.0.1-1) unstable; urgency=medium

  * Bug #42228: adjust URI's of umc_frontend_new_hash

 -- Florian Best <best@univention.de>  Mon, 05 Sep 2016 15:22:15 +0200

univention-lib (6.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:57:53 +0200

univention-lib (5.0.0-15) unstable; urgency=low

  * add support for message catalogs for UDM syntax and hook extensions 
    (Bug #34556)

 -- Daniel Troeder <troeder@univention.de>  Tue, 19 Jan 2016 10:59:24 +0100

univention-lib (5.0.0-14) unstable; urgency=medium

  * Bug #40354: Bug #39993: encode atjob comments

 -- Florian Best <best@univention.de>  Wed, 06 Jan 2016 13:51:50 +0100

univention-lib (5.0.0-13) unstable; urgency=low

  * Bug #40031: Fix shell escaping

 -- Philipp Hahn <hahn@univention.de>  Wed, 06 Jan 2016 18:06:16 +0100

univention-lib (5.0.0-12) unstable; urgency=low

  * Bug #38951: added univention.lib.license_tools and
    shell command ucs_check_license_csp()

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 29 Jul 2015 17:14:46 +0200

univention-lib (5.0.0-11) unstable; urgency=low

  * AD Member: suppotr uid in add_host_record_in_ad() (Bug #39574) 

 -- Felix Botner <botner@univention.de>  Wed, 21 Oct 2015 10:39:15 +0200

univention-lib (5.0.0-10) unstable; urgency=low

  * AD Member: rename add_ucs_sso_host_record_in_ad()
    to add_host_record_in_ad() (Bug #39574)

 -- Felix Botner <botner@univention.de>  Wed, 21 Oct 2015 10:04:52 +0200

univention-lib (5.0.0-9) unstable; urgency=low

  * AD Member: rename add_ucs_sso_host_record_in_ad()
    to add_host_record_in_ad() (Bug #39574)

 -- Felix Botner <botner@univention.de>  Wed, 21 Oct 2015 09:34:22 +0200

univention-lib (5.0.0-8) unstable; urgency=medium

  * Bug #39508: Add error.html to umc_frontend_new_hash
  * Bug #39508: Add HTTP header to UMCP requests
  * Bug #39599: Fallback to the raw response if UMCP responses doesn't contain
  	a result



=== debian/control ===
Source: univention-lib
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 7),
 python-all,
 python-support (>= 0.90),
 univention-config-dev,
 ucslint-univention

Package: python-univention-lib
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 python-univention-config-registry (>= 10.0.0-1),
 pwgen,
 python-magic,
 python-ipaddr,
 dnsutils,
 python-ldb,
 python-samba,
 python-ldap,
 python-imaging
Provides: ${python:Provides}
Description: UCS - common scripting functions for Python scripts
 This package contains Python functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: shell-univention-lib
Architecture: all
Depends: ${misc:Depends},
 univention-config (>= 12),
 python-univention-lib (= ${binary:Version}),
 pwgen
Description: UCS - common scripting functions for shell scripts
 This package contains shell functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Copyright 2002-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

override_dh_auto_test:
	ucslint

override_dh_auto_install:
	univention-install-config-registry
	dh_auto_install

%:
	dh $@ --with 'python_support'

## univention-lib 9.0.11-4A~5.0.0.202105111518

=== debian/changelog ===
univention-lib (9.0.11-4A~5.0.0.202105111518) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 11 May 2021 15:18:22 +0200

univention-lib (9.0.11-4) unstable; urgency=medium

  * Bug #53191: Improve performance of LDAP search for univentionShareHost
    in postinst

 -- Arvid <requate@univention.de>  Tue, 11 May 2021 15:02:09 +0200

univention-lib (9.0.11-3) unstable; urgency=low

  * Bug #52211: Move join function to separate join.sh

 -- Philipp Hahn <hahn@univention.de>  Wed, 21 Apr 2021 12:24:53 +0200

univention-lib (9.0.11-2) unstable; urgency=medium

  * Bug #52942: fix wait_for_activation() waiting for the actual file

 -- Florian Best <best@univention.de>  Thu, 18 Mar 2021 18:10:30 +0100

univention-lib (9.0.11-1) unstable; urgency=medium

  * Bug #46600: Fix UCS_Version comparison

 -- Philipp Hahn <hahn@univention.de>  Mon, 01 Feb 2021 17:34:51 +0100

univention-lib (9.0.10-1) unstable; urgency=medium

  * Bug #51324: Make admember code work for Python2 and Python3

 -- Arvid <requate@univention.de>  Sun, 24 Jan 2021 21:56:16 +0100

univention-lib (9.0.9-10) unstable; urgency=medium

  * Bug #43686: use systemctl calls for UDL

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 17 Nov 2020 12:20:01 +0100

univention-lib (9.0.9-9) unstable; urgency=medium

  * Bug #51765: setting max_age ucr variable

 -- Jan Luttermann <luttermann@univention.de>  Wed, 04 Nov 2020 10:07:53 +0100

univention-lib (9.0.9-8) unstable; urgency=medium

  * Bug #49898: Temporary workaround for admember.py with Python2

 -- Arvid <requate@univention.de>  Wed, 28 Oct 2020 23:45:30 +0100

univention-lib (9.0.9-7) unstable; urgency=medium

  * Bug #49898: python-univention-lib cannot depend on python-ldb
    as that does not exist any longer

 -- Arvid <requate@univention.de>  Fri, 23 Oct 2020 08:29:40 +0200

univention-lib (9.0.9-6) unstable; urgency=medium

  * Bug #49898: python-univention-lib cannot depend on python-samba

 -- Arvid <requate@univention.de>  Thu, 22 Oct 2020 21:54:33 +0200

univention-lib (9.0.9-5) unstable; urgency=medium

  * Bug #49898: python3-univention-lib should not depend on
    python-univention-lib

 -- Arvid <requate@univention.de>  Thu, 22 Oct 2020 20:11:01 +0200

univention-lib (9.0.9-3) unstable; urgency=medium

  * Bug #49898: shell-univention-lib should only depend on
    python3-univention-lib not on python-univention-lib

 -- Arvid <requate@univention.de>  Thu, 22 Oct 2020 20:01:05 +0200

univention-lib (9.0.9-2) unstable; urgency=low

  * Bug #52211: Move join function to separate join.sh

 -- Philipp Hahn <hahn@univention.de>  Tue, 13 Oct 2020 14:16:01 +0200

univention-lib (9.0.9-1) unstable; urgency=medium

  * Bug #42374: Replace legacy Master/Slave wording by
    Primary/Backup/Replica/Managed Node

 -- Arvid <requate@univention.de>  Thu, 24 Sep 2020 13:48:37 +0200

univention-lib (9.0.8-0) unstable; urgency=medium

  * Bug #51531: remove LDAP extensions when enducsversion is reached

 -- Florian Best <best@univention.de>  Tue, 18 Aug 2020 14:42:31 +0200

univention-lib (9.0.7-0) unstable; urgency=medium

  * Bug #51652: Use +nocookie option with dig to avoid FORMERR from
    Windows 2008 R2.

 -- Arvid <requate@univention.de>  Wed, 08 Jul 2020 15:55:18 +0200

univention-lib (9.0.6-0) unstable; urgency=medium

  * Bug #51633: fix univention.lib.i18n

 -- Florian Best <best@univention.de>  Tue, 07 Jul 2020 10:44:42 +0200

univention-lib (9.0.4-0) unstable; urgency=medium

  * Bug #51628: execute shell utilities with Python 3

 -- Florian Best <best@univention.de>  Tue, 07 Jul 2020 10:44:41 +0200

univention-lib (9.0.3-0) unstable; urgency=medium

  * Bug #33693: Add info for UCRV {groups,users}/default/*

 -- Philipp Hahn <hahn@univention.de>  Tue, 07 Jul 2020 10:44:40 +0200

univention-lib (9.0.2-0) unstable; urgency=medium

  * Bug #51593: Remove unneded code

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 07 Jul 2020 10:44:39 +0200

univention-lib (9.0.1-0) unstable; urgency=medium

  * Bug #51506: remove python-support

 -- Florian Best <best@univention.de>  Sun, 30 Aug 2020 08:28:25 +0200

univention-lib (9.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS 5: Version bump

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 04 Jun 2020 15:56:07 +0200

univention-lib (8.0.1-38) unstable; urgency=medium

  * Bug #51592: use fd.write() instead of print()

 -- Florian Best <best@univention.de>  Tue, 07 Jul 2020 17:00:15 +0200

univention-lib (8.0.1-37) unstable; urgency=medium

  * Bug #51592: univention.lib.ldap_extension: decode ASCII values

 -- Florian Best <best@univention.de>  Tue, 07 Jul 2020 08:47:28 +0200

univention-lib (8.0.1-36) unstable; urgency=medium

  * Bug #51592: fix typo in admember

 -- Florian Best <best@univention.de>  Thu, 02 Jul 2020 14:34:56 +0200

univention-lib (8.0.1-35) unstable; urgency=medium

  * Bug #51592: don't log as string, as system setup relies on a float

 -- Florian Best <best@univention.de>  Thu, 02 Jul 2020 09:34:42 +0200

univention-lib (8.0.1-34) unstable; urgency=medium

  * Bug #51592: fix typo

 -- Florian Best <best@univention.de>  Thu, 02 Jul 2020 09:25:24 +0200

univention-lib (8.0.1-33) unstable; urgency=medium

  * Bug #51592: add python 3 compatibility

 -- Florian Best <best@univention.de>  Wed, 01 Jul 2020 18:40:19 +0200

univention-lib (8.0.1-32) unstable; urgency=medium

  * Bug #50481: added set/get_handler_message

 -- Felix Botner <botner@univention.de>  Mon, 18 Nov 2019 10:29:48 +0100

univention-lib (8.0.1-31) unstable; urgency=medium

  * Bug #50481: added set/get_handler_message

 -- Felix Botner <botner@univention.de>  Thu, 14 Nov 2019 13:38:53 +0100

univention-lib (8.0.1-30) unstable; urgency=medium

  * Bug #50481: added set/get_handler_message

 -- Felix Botner <botner@univention.de>  Thu, 14 Nov 2019 12:39:25 +0100

univention-lib (8.0.1-29) unstable; urgency=medium



=== debian/control ===
Source: univention-lib
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends:
 at,
 debhelper,
 dh-python,
 pwgen,
 python-all,
 python-pil,
 python-typing,
 python3-all,
 python3-pil,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
 univention-unittests,

Package: python-univention-lib
Architecture: all
Depends:
 at,
 dnsutils,
 pwgen,
 python-apt,
 python-dnspython,
 python-ipaddress,
 python-ldap,
 python-magic,
 python-pil,
 python-six,
 python-typing,
 python-univention (>= 12.0.0-4),
 python-univention-config-registry (>= 15),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Breaks:
 python-univention-connector-s4 (<< 13.0.2-11),
Description: UCS - common scripting functions for Python 2 scripts
 This package contains Python functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-lib
Architecture: all
Depends:
 at,
 dnsutils,
 pwgen,
 python3-apt,
 python3-dnspython,
 python3-ldap | python3-pyldap,
 python3-ldb,
 python3-magic,
 python3-pil,
 python3-samba,
 python3-six,
 python3-univention,
 python3-univention-config-registry,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 python-univention-lib (<< 9.0.9-6),
Replaces:
 python-univention-lib (<< 9.0.9-6),
Description: UCS - common scripting functions for Python 3 scripts
 This package contains Python functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: shell-univention-lib
Architecture: all
Depends:
 pwgen,
 python3-univention-lib (= ${binary:Version}),
 univention-config (>= 15),
 ${misc:Depends},
Breaks:
 univention-join (<< 12),
Recommends:
 univention-join,
Description: UCS - common scripting functions for shell scripts
 This package contains shell functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-lib 9.0.11-5A~5.0.0.202107051055

=== debian/changelog ===
univention-lib (9.0.11-5A~5.0.0.202107051055) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 05 Jul 2021 10:55:15 +0200

univention-lib (9.0.11-5) unstable; urgency=medium

  * Bug #53532: UMC translation file registration

 -- Christian Castens <castens@univention.de>  Mon, 05 Jul 2021 10:18:02 +0200

## univention-lib 9.0.11-6A~5.0.0.202110051220

=== debian/changelog ===
univention-lib (9.0.11-6A~5.0.0.202110051220) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 05 Oct 2021 12:20:16 +0200

univention-lib (9.0.11-6) unstable; urgency=medium

  * Bug #53465: touch all HTML/JS/CSS files in postinst via
    umc_frontend_new_hash

 -- Florian Best <best@univention.de>  Tue, 05 Oct 2021 12:17:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# Copyright 2002-2017 Univention GmbH
+# Copyright 2002-2021 Univention GmbH
 #
-# http://www.univention.de/
+# https://www.univention.de/
 #
 # All rights reserved.
 #
@@ -28,14 +28,10 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
+# <https://www.gnu.org/licenses/>.
 
 override_dh_auto_test:
-	ucslint
-
-override_dh_auto_install:
-	univention-install-config-registry
-	dh_auto_install
+	univention-unittest
 
 %:
-	dh $@ --with 'python_support'
+	dh $@ --with python2,python3,univention-l10n,ucr

## univention-lib 9.0.11-7A~5.0.0.202110061720

=== debian/changelog ===
univention-lib (9.0.11-7A~5.0.0.202110061720) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 06 Oct 2021 17:20:39 +0200

univention-lib (9.0.11-7) unstable; urgency=medium

  * Bug #51650: fix evaluation of share blacklist

 -- Florian Best <best@univention.de>  Wed, 06 Oct 2021 12:47:46 +0200

## univention-lib 9.0.12-1A~5.0.0.202206161046

=== debian/changelog ===
univention-lib (9.0.12-1A~5.0.0.202206161046) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Jun 2022 10:46:14 +0200

univention-lib (9.0.12-1) unstable; urgency=medium

  * Bug #54706: move essential files into Python 3 package

 -- Florian Best <best@univention.de>  Mon, 13 Jun 2022 12:18:33 +0200

univention-lib (9.0.11-11) unstable; urgency=medium

  * Bug #54047: Modified umc_frontend_new_hash to not fail when there
    are whitespaces in UMC filenames

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Mon, 16 May 2022 09:33:56 +0200

univention-lib (9.0.11-10) unstable; urgency=medium

  * Bug #49061: UCSVersion: extended message of ValueError.
   Including erronous input param in error message for debugging.

 -- Siavash Sefid Rodi <sefid-rodi.extern@univention.de>  Fri, 25 Feb 2022 11:04:07 +0100

univention-lib (9.0.11-9) unstable; urgency=medium

  * Bug #53182: Add lib function echowithtimestamp to base.sh, first use is
    in server password change scripts

 -- Erik Damrose <damrose@univention.de>  Thu, 21 Oct 2021 16:42:02 +0200

univention-lib (9.0.11-8) unstable; urgency=medium

  * Bug #53902: fix default values for dump and passno for str() of Entry

 -- Esteban Martinena <martinena@univention.de>  Tue, 12 Oct 2021 16:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -69,9 +69,9 @@
 Provides:
  ${python3:Provides},
 Breaks:
- python-univention-lib (<< 9.0.9-6),
+ python-univention-lib (<< 9.0.12-1),
 Replaces:
- python-univention-lib (<< 9.0.9-6),
+ python-univention-lib (<< 9.0.12-1),
 Description: UCS - common scripting functions for Python 3 scripts
  This package contains Python functions used by various
  components of UCS.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# Copyright 2002-2021 Univention GmbH
+# Copyright 2002-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-lib 9.0.12-2A~5.0.0.202210111745

=== debian/changelog ===
univention-lib (9.0.12-2A~5.0.0.202210111745) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 11 Oct 2022 17:45:39 +0200

univention-lib (9.0.12-2) unstable; urgency=medium

  * Bug #55224: provide access to all l10n.Translation instances

 -- Florian Best <best@univention.de>  Tue, 27 Sep 2022 15:03:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Common Python and Shell Library
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2002-2022 Univention GmbH
 #

## univention-lib 9.0.12-3A~5.0.0.202301271633

=== debian/changelog ===
univention-lib (9.0.12-3A~5.0.0.202301271633) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Jan 2023 16:33:22 +0100

univention-lib (9.0.12-3) unstable; urgency=medium

  * Bug #54986: slap tools must also work in case
    /etc/ldap/slapd.d/cn=config.ldif exists (even if invalid)

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Wed, 25 Jan 2023 18:03:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2022 Univention GmbH
+# Copyright 2002-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-lib 9.0.14-2A~5.0.0.202302061604

=== debian/changelog ===
univention-lib (9.0.14-2A~5.0.0.202302061604) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:04:41 +0100

univention-lib (9.0.14-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:31 +0100

univention-lib (9.0.14-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:34 +0100

univention-lib (9.0.13-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Thu, 02 Feb 2023 11:09:38 +0100

## univention-lib 9.0.14-5

=== debian/changelog ===
univention-lib (9.0.14-5) unstable; urgency=medium

  * Bug #55632: fixup typo

 -- Florian Best <best@univention.de>  Wed, 31 May 2023 10:32:55 +0200

univention-lib (9.0.14-4) unstable; urgency=medium

  * Bug #55632: version bump

 -- Florian Best <best@univention.de>  Tue, 30 May 2023 11:48:57 +0200

univention-lib (9.0.14-3) unstable; urgency=medium

  * Bug #55632: Removed old code and added Python 3.11 support

 -- Mika Westphal <westphal@univention.de>  Fri, 24 Mar 2023 12:11:02 +0100

## univention-lib 9.0.14-6

=== debian/changelog ===
univention-lib (9.0.14-6) unstable; urgency=medium

  * Bug #56111: fix overwriting of "_" translation variable

 -- Florian Best <best@univention.de>  Mon, 05 Jun 2023 17:18:04 +0200

## univention-lib 9.0.16-2

=== debian/changelog ===
univention-lib (9.0.16-2) unstable; urgency=medium

  * Bug #56137: fix Python 3 compatiblity regression

 -- Julia Bremer <bremer@univention.de>  Tue, 13 Jun 2023 13:59:35 +0200

univention-lib (9.0.16-1) unstable; urgency=medium

  * Bug #43633: adjust UMCP set/ HTTP requests

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:47:00 +0200

univention-lib (9.0.15-1) unstable; urgency=medium

  * Bug #56137: fix Python 3 compatiblity regression

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 10:56:43 +0200

## univention-lib 9.0.16-5

=== debian/changelog ===
univention-lib (9.0.16-5) unstable; urgency=medium

  * Bug #56698: use cn=admin in ldap_touch_udm_object on primary

 -- Felix Botner <botner@univention.de>  Thu, 05 Oct 2023 20:19:25 +0200

univention-lib (9.0.16-4) unstable; urgency=low

  * Bug #56162: fix APT API incompatibility

 -- Philipp Hahn <hahn@univention.de>  Sat, 19 Aug 2023 11:30:09 +0200

univention-lib (9.0.16-3) unstable; urgency=medium

  * Bug #55337: Touch LDAP object even if nothing needs to be done for
    ucs_registerLDAPExtension register but the extension is not active
    yet.

 -- Arvid <requate@univention.de>  Mon, 07 Aug 2023 15:30:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 # <https://www.gnu.org/licenses/>.
 
 override_dh_auto_test:
+	dh_auto_test
 	univention-unittest
 
 %:

## univention-lib 9.0.17-1

=== debian/changelog ===
univention-lib (9.0.17-1) unstable; urgency=medium

  [ Philipp Hahn ]
  * Bug #56832: UCS 5.0-6 version bump

  [ Florian Best ]
  * Bug #56420: fix memory leak for not existing Translation instances

 -- Florian Best <best@univention.de>  Wed, 03 Jan 2024 14:54:31 +0100

## univention-lib 9.0.18-2

=== debian/changelog ===
univention-lib (9.0.18-2) unstable; urgency=medium

  * Bug #57163: add helper to check what kind of saml setup we need

 -- Felix Botner <botner@univention.de>  Mon, 18 Mar 2024 21:18:42 +0100

univention-lib (9.0.18-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2023 Univention GmbH
+# Copyright 2002-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-lib 9.0.19-2

=== debian/changelog ===
univention-lib (9.0.19-2) unstable; urgency=medium

  * Bug #56736: Typo in UCR variable

 -- Arvid <requate@univention.de>  Tue, 03 Sep 2024 12:01:19 +0200

univention-lib (9.0.19-1) unstable; urgency=medium

  * Bug #57350 UCS 5.0-8 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 03 Jun 2024 13:44:21 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pil,
  univention-config-dev (>= 15.0.3),
  univention-l10n-dev (>= 7.0.1),
- univention-unittests,
+ univention-unittests (>= 2.0.2-1),
 
 Package: python-univention-lib
 Architecture: all

## univention-lib 10.0.8

=== debian/changelog ===
univention-lib (10.0.8) unstable; urgency=medium

  * Bug #57163: add helper to check what kind of saml setup we need

 -- Felix Botner <botner@univention.de>  Mon, 29 Apr 2024 10:34:18 +0200

univention-lib (10.0.7) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:08 +0100

univention-lib (10.0.6) unstable; urgency=medium

  * Bug #50343: remove decode_ignorelist

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:03 +0100

univention-lib (10.0.5) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:51 +0100

univention-lib (10.0.4) unstable; urgency=medium

  * Bug #56536: adapt package mangager to python-apt changes

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:44 +0100

univention-lib (10.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:30 +0100

univention-lib (10.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:18 +0100

univention-lib (10.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:39 +0100

=== debian/control ===
Source: univention-lib
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends:
 at,
 debhelper-compat (=13),
 dh-python,
 pwgen,
 python3-all,
 python3-pil,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
 univention-unittests (>= 2.0.2-1),

Package: python3-univention-lib
Architecture: all
Depends:
 at,
 dnsutils,
 pwgen,
 python3-apt,
 python3-dnspython,
 python3-ldap | python3-pyldap,
 python3-ldb,
 python3-magic,
 python3-pil,
 python3-samba,
 python3-univention,
 python3-univention-config-registry,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UCS - common scripting functions for Python 3 scripts
 This package contains Python functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: shell-univention-lib
Architecture: all
Depends:
 pwgen,
 python3-univention-lib (= ${binary:Version}),
 univention-config (>= 15),
 ${misc:Depends},
Breaks:
 univention-join (<< 12),
Recommends:
 univention-join,
Description: UCS - common scripting functions for shell scripts
 This package contains shell functions used by various
 components of UCS.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -38,4 +38,4 @@
 	univention-unittest
 
 %:
-	dh $@ --with python2,python3,univention-l10n,ucr
+	dh $@ --with python3,univention-l10n,ucr

## univention-lib 11.0.11

=== debian/changelog ===
univention-lib (11.0.11) unstable; urgency=medium

  * Bug #56661: migrate from NTP to NTPSEC

 -- Arvid <requate@univention.de>  Fri, 10 Jan 2025 15:32:47 +0100

univention-lib (11.0.10) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: Change settings from keycloak/server/sso/fqdn to ucs/server/sso/uri

 -- Julia Bremer <bremer@univention.de>  Sun, 08 Dec 2024 17:38:26 +0100

univention-lib (11.0.9) unstable; urgency=medium

  * Bug #57690: use ldap instead of ldb to get default naming
    context in adconnector/admember setup

 -- Felix Botner <botner@univention.de>  Mon, 28 Oct 2024 13:19:11 +0100

univention-lib (11.0.8) unstable; urgency=medium

  * Bug #56736: Typo in UCR variable

 -- Arvid <requate@univention.de>  Tue, 03 Sep 2024 12:01:19 +0200

univention-lib (11.0.7) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Mon, 10 Jun 2024 12:03:32 +0200

univention-lib (11.0.6) unstable; urgency=medium

  * Bug #57293: Use keycloak/server/sso/fqdn instead of ucs/server/sso/fqdn
    in admember.add_host_record_in_ad()
  * Pass parameter "sso" from admember.sh to admember.add_host_record_in_ad()

 -- Arvid <requate@univention.de>  Fri, 24 May 2024 18:39:14 +0200

univention-lib (11.0.5) unstable; urgency=medium

  * Bug #57163: add helper to check what kind of saml setup we need

 -- Felix Botner <botner@univention.de>  Thu, 11 Apr 2024 14:41:15 +0200

univention-lib (11.0.4) unstable; urgency=medium

  * Bug #56604: use __future__ annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 11:16:21 +0100

univention-lib (11.0.3) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:32 +0100

univention-lib (11.0.2) unstable; urgency=medium

  * Bug #56793: Replace libnss-ldapd with SSSd

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Fri, 08 Mar 2024 00:18:48 +0100

univention-lib (11.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:27 +0100

## univention-lib 11.4.0

=== debian/changelog ===
univention-lib (11.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:07 +0100

univention-lib (11.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:26 +0200

univention-lib (11.2.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58344: UCS 5.2-2 version bump

  [ Florian Best ]
  * Bug #58432: set base in uldap.access()

 -- Florian Best <best@univention.de>  Sat, 05 Jul 2025 09:54:44 +0200

univention-lib (11.0.12-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
 Architecture: all
 Depends:
  at,
- dnsutils,
+ bind9-dnsutils,
  pwgen,
  python3-apt,
  python3-dnspython,
- python3-ldap | python3-pyldap,
+ python3-ldap,
  python3-ldb,
  python3-magic,
  python3-pil,

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2002-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_auto_test:
	dh_auto_test
	univention-unittest

%:
	dh $@ --with python3,univention-l10n,ucr

## univention-lib 11.4.1

=== debian/changelog ===
univention-lib (11.4.1) unstable; urgency=medium

  * Bug #55576: Add support for skipping SSL hostname checks in UMC Client

 -- Carlos García-Mauriño <garcia-maurino@univention.de>  Wed, 11 Feb 2026 16:24:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# SPDX-FileCopyrightText: 2002-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2002-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 override_dh_auto_test:
